/*!
 * @file        dmc_sdram.h
 *
 * @brief       This file contains all the functions prototypes for the APM32F103xCS SDRAM firmware library
 *
 * @version     V1.0.0
 *
 * @date        2021-05-20
 *
 */
#ifndef __DMC_SDRAM_H
#define __DMC_SDRAM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "apm32f10x.h"
#include <string.h>
#include <stdio.h>

#define  RCM_SDRAM_GPIO_PERIPH (RCM_APB2_PERIPH_AFIO  | \
                                RCM_APB2_PERIPH_GPIOB | \
                                RCM_APB2_PERIPH_GPIOC | \
                                RCM_APB2_PERIPH_GPIOD | \
                                RCM_APB2_PERIPH_GPIOE | \
                                RCM_APB2_PERIPH_GPIOF | \
                                RCM_APB2_PERIPH_GPIOG)

#define  RCM_SDRAM_PERIPH (RCM_AHB_PERIPH_EMMC)

#define SDRAM_START_ADDR ((uint32_t)0x60000000)
#define SDRAM_END_ADDR   ((uint32_t)0x60200000)

void SDRAM_Init(void);

uint32_t SDRAM_Word_Test(void);
uint32_t SDRAM_HalfWord_Test(void);
uint32_t SDRAM_Byte_Test(void);

void SDRAM_WriteWord(uint32_t address, uint32_t data);
void SDRAM_WriteHalfWord(uint32_t address, uint16_t data);
void SDRAM_WriteByte(uint32_t address, uint8_t data);

#ifdef __cplusplus
}
#endif

#endif /* __DMC_SDRAM_H */
